- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# gcp_target_proxy – Create, Update or Destroy a Target_Proxy

New in version 2.4.

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.12
Why: | Updated modules released with increased functionality
Alternative: | Use gcp_compute_target_http_proxy instead.

## Synopsis

- Create, Update or Destroy a Target_Proxy. See https://cloud.google.com/compute/docs/load-balancing/http/target-proxies for an overview. More details on the Target_Proxy API can be found at https://cloud.google.com/compute/docs/reference/latest/targetHttpProxies#resource-representations.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- google-api-python-client >= 1.6.2
- google-auth >= 0.9.0
- google-auth-httplib2 >= 0.0.2

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
target_proxy_name - / required |  | Name of the Target_Proxy.
target_proxy_type - / required |  | Type of Target_Proxy. HTTP, HTTPS or SSL. Only HTTP is currently supported.
url_map_name - |  | Name of the Url Map. Required if type is HTTP or HTTPS proxy.

## Notes

Note

- Currently only supports global HTTP proxy.

## Examples

    - name: Create Minimum HTTP Target_Proxy
      gcp_target_proxy:
        service_account_email: "{{ service_account_email }}"
        credentials_file: "{{ credentials_file }}"
        project_id: "{{ project_id }}"
        target_proxy_name: my-target_proxy
        target_proxy_type: HTTP
        url_map_name: my-url-map
        state: present

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
state string | Always. | state of the Target_Proxy Sample: present
target_proxy dictionary | Always. Refer to GCP documentation for detailed field descriptions. | GCP Target_Proxy dictionary Sample: {'name': 'my-target-proxy', 'urlMap': '...'}
target_proxy_name string | Always | Name of the Target_Proxy Sample: my-target-proxy
target_proxy_type string | Always | Type of Target_Proxy. One of HTTP, HTTPS or SSL. Sample: HTTP
updated_target_proxy boolean | if the target_proxy has been updated. | True if the target_proxy has been updated. Will not appear on initial target_proxy creation. Sample: True

## Status

- This module will be removed in version 2.12. [deprecated]
- For more information see DEPRECATED.

### Authors

- Tom Melendez (@supertom) <tom@supertom.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.